package de.frankmuenster.mahoe.gui.utils;

import org.eclipse.swt.widgets.TabFolder;

import de.frankmuenster.mahoe.gui.controller.GeneralSettingsController;
import de.frankmuenster.mahoe.gui.controller.SettingsController;
import de.frankmuenster.mahoe.gui.parts.GeneralSettingsPart;
import de.willuhn.jameica.gui.util.TabGroup;

/**
 * @author Frank Mnster
 */
public class GeneralSettingsTabGroup extends AbstractSettingsTabGroup implements SettingsTabGroup<SettingsController> {

    /**
     * Creates a settings tab for the Bank of Scottland.
     *
     * @param tabFolder
     *            the SWT TabFolder in which the tab needs to be craeted.
     */
    public GeneralSettingsTabGroup(final TabFolder tabFolder) {
        super(new GeneralSettingsController());
        final TabGroup tabGroup = new TabGroup(tabFolder, "Allgemein"); //$NON-NLS-1$
        tabGroup.addPart(new GeneralSettingsPart((GeneralSettingsController) this.control));
    }
}
